import re
import os
import os.path
from distutils.core import setup

def extract_version():
    a = open('webvidaemon/webvidaemon.py').read()
    m = re.search(r"^version *= *'(.*)' *$", a, re.MULTILINE)
    if m is not None:
        return m.group(1)
    else:
        raise RuntimeError, 'Can\'t extract version!'

def install_service_files():
    sourcedir = 'webvidaemon/services'
    destdir = '/usr/share/webvid'

    res = []
    for service in os.listdir(sourcedir):
        sdir = os.path.join(sourcedir, service)
        sfiles = []
        for f in os.listdir(sdir):
            sfiles.append(os.path.join(sdir, f))
        res.append((os.path.join(destdir, service), sfiles))
    return res

setup(
  name='webvid',
  version=extract_version(),
  description='webvideo downloader daemon and command line client',
  author='Antti Ajanki',
  author_email='antti.ajanki@iki.fi',
  license='GPLv3',
  url='http://users.tkk.fi/~aajanki/vdr/webvideo',
  packages=['webvidaemon'],
  scripts=['webvid', 'webvi/webvi'],
  data_files=install_service_files()
  )
