/*
 * config.h: Web video plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __WEBVIDEO_CONFIG_H
#define __WEBVIDEO_CONFIG_H

class cWebvideoConfig {
private:
  char *server;
  char *port;
  char *downloadPath;
  bool preferXine;
  char *daemonArgs[20];
public:
  cWebvideoConfig();
  ~cWebvideoConfig();

  void SetServer(const char *serveraddr);
  const char *GetServer();

  void SetPort(const char *serverport);
  const char *GetPort();

  void SetDownloadPath(const char *path);
  const char *GetDownloadPath();

  void SetDaemonCmd(const char *cmd);
  char * const *GetDaemonCmd();

  void SetPreferXineliboutput(bool pref);
  bool GetPreferXineliboutput();
};

extern cWebvideoConfig *webvideoConfig;

#endif
