/*
 * parser.h: Web video plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __WEBVIDEO_PARSER_H
#define __WEBVIDEO_PARSER_H

extern cCharSetConv csc;

enum eParsingError {
  PARSING_OK = 0,
  PARSING_UNKNOWN_ERROR,
  PARSING_XML_ERROR,
  PARSING_XSLT_ERROR,
  PARSING_NO_URL,
  PARSING_NO_MEM
};

// --- cUrlPriority --------------------------------------------------------

class cUrlPriority {
private:
  char *url;
  int priority;
public:
  cUrlPriority(const char *url, int priority);
  ~cUrlPriority();

  int GetPriority() { return priority; }
  const char *GetUrl() { return url; }
};

// --- cParser -------------------------------------------------------------

class cParser {
protected:
  static int ComparePriorities(const void *a, const void *b);
public:
  static const int defaultUrlPriority = 100;

  // Parse a <mediaurl> tag. Returns a sorted list of the urls
  // (highest priority last) and the title of the media object.
  static eParsingError ParseMediaUrl(const char *page, int size, 
                                     cStringList *urls, char **title);
};

#endif // __WEBVIDEO_PARSER_H
